/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 * @author obper
 */
@Entity
@Table(name = "doc_pendiente")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "DocPendiente.findAll", query = "SELECT d FROM DocPendiente d"),
        @NamedQuery(name = "DocPendiente.findByDocPendienteCodigo", query = "SELECT d FROM DocPendiente d WHERE d.docPendienteCodigo = :docPendienteCodigo"),
        @NamedQuery(name = "DocPendiente.findByDocPendienteNombre", query = "SELECT d FROM DocPendiente d WHERE d.docPendienteNombre = :docPendienteNombre")})
public class DocPendiente implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "doc_pendiente_codigo")
    private String docPendienteCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "doc_pendiente_nombre")
    private String docPendienteNombre;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "docPendienteCodigo")
    private Collection<Consultores> consultoresCollection;

    public DocPendiente() {
    }

    public DocPendiente(String docPendienteCodigo) {
        this.docPendienteCodigo = docPendienteCodigo;
    }

    public DocPendiente(String docPendienteCodigo, String docPendienteNombre) {
        this.docPendienteCodigo = docPendienteCodigo;
        this.docPendienteNombre = docPendienteNombre;
    }

    public String getDocPendienteCodigo() {
        return docPendienteCodigo;
    }

    public void setDocPendienteCodigo(String docPendienteCodigo) {
        this.docPendienteCodigo = docPendienteCodigo;
    }

    public String getDocPendienteNombre() {
        return docPendienteNombre;
    }

    public void setDocPendienteNombre(String docPendienteNombre) {
        this.docPendienteNombre = docPendienteNombre;
    }

    @XmlTransient
    public Collection<Consultores> getConsultoresCollection() {
        return consultoresCollection;
    }

    public void setConsultoresCollection(Collection<Consultores> consultoresCollection) {
        this.consultoresCollection = consultoresCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (docPendienteCodigo != null ? docPendienteCodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DocPendiente)) {
            return false;
        }
        DocPendiente other = (DocPendiente) object;
        if ((this.docPendienteCodigo == null && other.docPendienteCodigo != null) || (this.docPendienteCodigo != null && !this.docPendienteCodigo.equals(other.docPendienteCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.DocPendiente[ docPendienteCodigo=" + docPendienteCodigo + " ]";
    }

}
